com.sun.tdk.specdiff.ant

## Class ConfigurationManager

- java.lang.Object
- - com.sun.tdk.specdiff.ant.ConfigurationManager

-     public class ConfigurationManager
      extends java.lang.Object

  Singleton class that manages configuration VO(s).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CONFIG_PROP_NAME`
    `static java.lang.String` | `USE_GREEDY_METHOD_PARAM`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ConfigurationManager()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Map<java.lang.String,java.lang.Object>` | `configurationToMap(Configuration cfg)` Utility method that creates Map: string -> object based on the given configuration.
    `Configuration` | `getConfiguration(org.apache.tools.ant.Project p)` Gets `Configuration` object loaded from resource or file denoted by the configuration name retrieved from ANT project properties.
    `Configuration` | `getConfiguration(java.lang.String name)` Get named configuration loaded from resource or file
    `java.lang.String` | `getDefaultConfigExt()` Returns the default extension of the configuration files.
    `java.lang.String` | `getDefaultConfigPath()` Returns the default path to use for configuration files lookup.
    `static ConfigurationManager` | `getInstance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONFIG_PROP_NAME

          public static final java.lang.String CONFIG_PROP_NAME

      See Also:
        Constant Field Values

    - #### USE_GREEDY_METHOD_PARAM

          public static final java.lang.String USE_GREEDY_METHOD_PARAM

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConfigurationManager

          protected ConfigurationManager()

  - ### Method Detail

    - #### getInstance

          public static ConfigurationManager getInstance()

    - #### getConfiguration

          public Configuration getConfiguration(org.apache.tools.ant.Project p)

      Gets `Configuration` object loaded from resource or file denoted by the configuration name retrieved from ANT project properties. The configuration properties are overridden by the properties living in the ANT project.

    - #### getConfiguration

          public Configuration getConfiguration(java.lang.String name)

      Get named configuration loaded from resource or file

    - #### configurationToMap

          public static java.util.Map<java.lang.String,java.lang.Object> configurationToMap(Configuration cfg)

      Utility method that creates Map: string -> object based on the given configuration.
      Parameters:
        `cfg` - initialized configuration object
      Returns:
        the map filled out with values

    - #### getDefaultConfigPath

          public java.lang.String getDefaultConfigPath()

      Returns the default path to use for configuration files lookup.

    - #### getDefaultConfigExt

          public java.lang.String getDefaultConfigExt()

      Returns the default extension of the configuration files.